org.keycloak.dom.xmlsec.w3.xmldsig

## Class KeyInfoType

- java.lang.Object
- - org.keycloak.dom.xmlsec.w3.xmldsig.KeyInfoType

-     public class KeyInfoType
      extends Object

  Java class for KeyInfoType complex type.

  The following schema fragment specifies the expected content contained within this class.

       <complexType name="KeyInfoType">
         <complexContent>
           <restriction base="{http://www.w3.org/2001/XMLSchema}anyType">
             <choice maxOccurs="unbounded">
               <element ref="{http://www.w3.org/2000/09/xmldsig#}KeyName"/>
               <element ref="{http://www.w3.org/2000/09/xmldsig#}KeyValue"/>
               <element ref="{http://www.w3.org/2000/09/xmldsig#}RetrievalMethod"/>
               <element ref="{http://www.w3.org/2000/09/xmldsig#}X509Data"/>
               <element ref="{http://www.w3.org/2000/09/xmldsig#}PGPData"/>
               <element ref="{http://www.w3.org/2000/09/xmldsig#}SPKIData"/>
               <element ref="{http://www.w3.org/2000/09/xmldsig#}MgmtData"/>
               <any/>
             </choice>
             <attribute name="Id" type="{http://www.w3.org/2001/XMLSchema}ID" />
           </restriction>
         </complexContent>
       </complexType>

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `protected List<Object>` | `contentList`
    `protected String` | `id`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `KeyInfoType()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `addContent(Object content)`
    `List<Object>` | `getContent()`
    `String` | `getId()` Gets the value of the id property.
    `void` | `removeContent(Object content)`
    `void` | `setId(String value)` Sets the value of the id property.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### id

          protected String id

    - #### contentList

          protected List<Object> contentList

  - ### Constructor Detail

    - #### KeyInfoType

          public KeyInfoType()

  - ### Method Detail

    - #### addContent

          public void addContent(Object content)

    - #### removeContent

          public void removeContent(Object content)

    - #### getContent

          public List<Object> getContent()

    - #### getId

          public String getId()

      Gets the value of the id property.
      Returns:
        possible object is `String`

    - #### setId

          public void setId(String value)

      Sets the value of the id property.
      Parameters:
        `value` - allowed object is `String`

Copyright © 2016 JBoss by Red Hat. All rights reserved.